<!doctype html>
<html lang="en">
	<head>
		<title>Anniversaires - {{ familyname }}</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
	</head>
	<body>
		<div class="container-fluid">
			<h1 class="display-1 text-center">Anniversaires - {{ familyname }}</h1>
			<div class="table-responsive-sm">
				<table class="table align-middle">
				{%- for date, event in dates -%}
				{%- if loop.first or loop.previtem[0].year != date.year %}
					<thead>
					  <tr><th colspan="6" class="text-center"></th>
					  </tr>
					</thead>
					<tbody>
					</tbody>
				
					<thead class="table-dark">
					  <tr><th colspan="4" class="text-center">{{ date.year }}</th>
					  </tr>
					</thead>
					<tbody>
					{%- endif %}

					{%- if event | length == 2 -%}
				  		{%- set k, p = event -%}
						<tr class="table-info" >
							<td>{{ date.strftime("%d %B %y") }}</td>
						  
							<td><table class="table mb-0 table-sm table-borderless table-info"><tbody><tr><td>{{ p | string }}</td><td class="text-start">{{ k }}.000 jours</td></tr></tbody></table></td>
							<td  colspan="2"></td>

						</tr>
					{%- endif -%}
					{%- if event | length == 3 -%}
				  		{%- set k, g1, g2 = event -%}
						{%- if (g1 | length) * (g2 | length) == 1 -%}
							{%- set variant = "table-success" -%}
						{%- elif (g1 | length) + (g2 | length) == 6 -%}
							{%- set variant = "table-primary" -%}
						{%- else -%}
							{%- set variant = "table-default" -%}
						{%- endif -%}
						<tr class="{{ variant }}">
							<td>{{ date.strftime("%d %B %y") }}</td>
						  
							<td>
							  <table class="table mb-0 table-sm table-borderless {{variant}}"><tbody>
							    {% for p in g1 -%}
							    <tr>
							      <td>{{- p | string -}}</td>
							      <td>{{- p.age(date) -}}</td>
							    </tr>
							    {%- endfor %}
							  </tbody></table>
							</td>

							<td>×{{ k }}</td>

							<td>
							  <table class="table mb-0 table-sm table-borderless {{variant}}"><tbody>
							    {% for p in g2 -%}
							    <tr>
							      <td>{{- p | string -}}</td>
							      <td>{{- p.age(date) -}}</td>
							    </tr>
							    {%- endfor %}
							  </tbody></table>
							</td>
						</tr>
					{%- endif -%}
					{%- if loop.last or loop.nextitem[0].year != date.year %}
					</tbody>
					{%- endif %}
				{% endfor %}
				</table>
			</div>
		</div>
	</body>
</html>
